System Requirements

We recommend the use of the following browsers:

Operating System Browser
Mac OS
mac
Internet Explorer (5 or higher) with Java enabled (default setting in browser) or Safari, Opera or Firefox.
Windows
windows
Microsoft Internet Explorer (5 or higher) with Java enabled (default browser setting), or Firefox or Netscape Navigator.

Mac OS Browser Information

  • The following browsers should be compatible with the course system:
    • Internet Explorer 5.0 and higher
    • Safari
    • Netscape 7.0, 7.02, 6.2.3
    • Opera
    • Firefox
    • The following browsers are NOT compatible with the course system:
    • iCab
    • JavaScript, Java, Cookies, and Frames
  • Our courses make extensive use of all of the above technologies. The default settings for your browser has all of these properly enabled. If you’ve changed your browser settings to disable any of these options, you’ll need to enable them or configure http://www.MedRisk.com as a “Trusted Site”. Consult your browser’s help documentation to reconfigure these settings.

Corporate Firewalls

  • If your computer is located behind a corporate firewall, you may not be able to access portions of the web site. Company firewalls sometimes won’t let you log onto a secure server. Check with your system administrator to find out what is and what is not blocked at your location.

Pop-Up Killer Software

  • If you are using pop-up killer software, it may prevent you from being able to view parts of the MedRisk Online Courses as well as parts of this website. To disable it consult the software’s documentation.

Proxy Servers

  • If you use Internet Explorer and the “Use a proxy server for your LAN” box is checked, you will need to uncheck it in order to log in.

January 1, 2015